## rust-sequoia-chameleon-gnupg 0.5.1

=== src/Makefile ===
gpg.option.inc: gpg.option.gpg.c.fragment gpg.option.oxidize gpg.option.implicit
	echo "/// GnuPG's command line options." > "$@"
	echo 'const OPTIONS: &[Opt<CmdOrOpt>] = &[' >> "$@"
	gcc -x c -E "$<" \
		| grep -v '^#' \
		| sed >> "$@" \
			-e 's/ \([0-9]\+\),/ o\1,/' \
			-e 's/" "//g' \
			-e 's/ARGPARSE_//g' \
			-e 's/long_opt: NULL,/long_opt: "",/'
	cat gpg.option.implicit >> "$@"
	echo '];' >> "$@"

dirmngr.option.inc: dirmngr.option.c.fragment gpg.option.oxidize
	echo "/// dirmngr's command line options." > "$@"
	echo 'const OPTIONS: &[Opt<CmdOrOpt>] = &[' >> "$@"
	gcc -x c -E "$<" \
		| grep -v '^#' \
		| sed >> "$@" \
			-e 's/ \([0-9]\+\),/ o\1,/' \
			-e 's/" "//g' \
			-e 's/ARGPARSE_//g' \
			-e 's/long_opt: NULL,/long_opt: "",/'
	cat gpg.option.implicit >> "$@"
	echo '];' >> "$@"

error_codes.inc: err-codes.h.in
	echo >"$@.new" "/// Error codes defined in libgpg-error."
	echo >>"$@.new" "#[derive(Clone, Copy, Debug, PartialEq, Eq)]"
	echo >>"$@.new" "#[allow(non_camel_case_types)]"
	echo >>"$@.new" "#[repr(u32)]"
	echo >>"$@.new" "pub enum Error {"
	sed -n -e '/[0-9]\+\s\+GPG_ERR_.*\s\+[A-Z].*/p' "$<" | while read N SYMBOL DESC; do \
	    echo >>"$@.new" "    /// $$DESC."; \
	    echo >>"$@.new" "    $$SYMBOL = $$N,"; \
	done
	echo >>"$@.new" "    /// Sometimes, GnuPG returns -1."; \
	echo >>"$@.new" "    GPG_ERR_MINUS_ONE = 4294967295,"; \
	echo >>"$@.new" "}"
	echo >>"$@.new"

	echo >>"$@.new" "impl std::fmt::Display for Error {"
	echo >>"$@.new" "    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {"
	echo >>"$@.new" "        use Error::*;"
	echo >>"$@.new" "        match self {"
	sed -n -e '/[0-9]\+\s\+GPG_ERR_.*\s\+[A-Z].*/p' "$<" | while read N SYMBOL DESC; do \
	    echo >>"$@.new" "            $$SYMBOL => f.write_str(\"$$DESC\"),"; \
	done
	echo >>"$@.new" "            GPG_ERR_MINUS_ONE => f.write_str(\"Minus one\"),"
	echo >>"$@.new" "        }"
	echo >>"$@.new" "    }"
	echo >>"$@.new" "}"
	echo >>"$@.new"

	echo >>"$@.new" "impl  std::error::Error for Error {}"

	mv "$@.new" "$@"

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-chameleon-gnupg 0.5.1 from crates.io using debcargo 2.6.1
  * Apply upstream patches for sequoia-cert-store 0.5 and sequoia-wot 0.10
  * Bump sequoia-ipc dependency to 0.34
  * Bump sequoia-wot dependency to 0.11
  * Stop patching sequoia-openpgp dependency
  * Adjust dependency on indexmap crate to prepare for rust-indexmap transition.

  [ Alexander Kjäll ]
  * Improve man page for gpg-sq.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 21 Mar 2024 20:43:53 +0000

rust-sequoia-chameleon-gnupg (0.5.1-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.5.1 from crates.io using debcargo 2.6.1
  * Add shell completions and man pages

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Thu, 22 Feb 2024 13:03:05 +0100

rust-sequoia-chameleon-gnupg (0.4.0-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.4.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Wed, 31 Jan 2024 22:36:21 +0100

=== debian/control ===
Source: rust-sequoia-chameleon-gnupg
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-base64-0.21+default-dev,
 librust-buffered-reader-1+default-dev,
 librust-chrono-0.4+default-dev,
 librust-daemonize-0.5+default-dev,
 librust-dirs-5+default-dev,
 librust-fd-lock-dev (<< 5-~~),
 librust-filetime-0.2+default-dev,
 librust-futures-0.3+default-dev,
 librust-indexmap+default-dev (>= 1.9-~~),
 librust-libc-0.2+default-dev,
 librust-memchr-2+default-dev,
 librust-once-cell-1+default-dev (>= 1.17-~~),
 librust-openssh-keys-0.6-dev,
 librust-percent-encoding-2+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-distr-0.4-dev,
 librust-rayon-1+default-dev,
 librust-reqwest-0.11+default-dev,
 librust-reqwest-0.11+socks-dev,
 librust-sequoia-cert-store-0.5+default-dev,
 librust-sequoia-ipc-0.34+default-dev,
 librust-sequoia-net-0.28+default-dev,
 librust-sequoia-openpgp-1+compression-dev (>= 1.19-~~),
 librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.19-~~),
 librust-sequoia-openpgp-mt-0.1+default-dev,
 librust-sequoia-policy-config-0.6+default-dev,
 librust-sequoia-wot-0.11+default-dev,
 librust-shellexpand-3+default-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev (>= 1.19-~~),
 librust-tokio-1+io-util-dev (>= 1.19-~~),
 librust-tokio-1+net-dev (>= 1.19-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.19-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-chameleon-gnupg]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-chameleon-gnupg
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-chameleon-gnupg
Rules-Requires-Root: no

Package: sequoia-chameleon-gnupg
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Description: Sequoia's reimplementation of the GnuPG interface
 This package contains the following binaries built from the Rust crate
 "sequoia-chameleon-gnupg":
  - gpg-sq
  - gpgv-sq

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem cargo

override_dh_install:
	mkdir -p debian/sequoia-chameleon-gnupg/usr/share/fish/completions/ debian/sequoia-chameleon-gnupg/usr/share/zsh/vendor-completions/ debian/sequoia-chameleon-gnupg/usr/share/bash-completion/completions/
	cp -f debian/completions/gpg-sq.fish debian/sequoia-chameleon-gnupg/usr/share/fish/completions/gpg-sq.fish
	chmod -x debian/sequoia-chameleon-gnupg/usr/share/fish/completions/gpg-sq.fish
	cp -f debian/completions/_gpg-sq debian/sequoia-chameleon-gnupg/usr/share/zsh/vendor-completions/_gpg-sq
	cp -f debian/completions/gpg-sq.bash debian/sequoia-chameleon-gnupg/usr/share/bash-completion/completions/gpg-sq

	mkdir -p debian/sequoia-chameleon-gnupg/usr/share/fish/completions/ debian/sequoia-chameleon-gnupg/usr/share/zsh/vendor-completions/ debian/sequoia-chameleon-gnupg/usr/share/bash-completion/completions/
	cp -f debian/completions/gpgv-sq.fish debian/sequoia-chameleon-gnupg/usr/share/fish/completions/gpgv-sq.fish
	chmod -x debian/sequoia-chameleon-gnupg/usr/share/fish/completions/gpgv-sq.fish
	cp -f debian/completions/_gpgv-sq debian/sequoia-chameleon-gnupg/usr/share/zsh/vendor-completions/_gpgv-sq
	cp -f debian/completions/gpgv-sq.bash debian/sequoia-chameleon-gnupg/usr/share/bash-completion/completions/gpgv-sq

	dh_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-chameleon-gnupg-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+].unwrap()((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-chameleon-gnupg .*/crates/sequoia-chameleon-gnupg/@ANY_VERSION@/download

## rust-sequoia-chameleon-gnupg 0.9.0

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.9.0-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.9.0 from crates.io using debcargo 2.6.1
  * Make gpg-from-sq recommend gpgv-from-sq and make gpgv-from-sq suggest
    gpg-from-sq.

 -- Holger Levsen <holger@debian.org>  Tue, 11 Jun 2024 13:59:08 +0200

rust-sequoia-chameleon-gnupg (0.8.0-5) unstable; urgency=medium

  * gpg-from-sq.preinst and gpgv-from-sq.preinst: install diversion on upgrades
    as well. Closes: #1069741, #1069742.

 -- Holger Levsen <holger@debian.org>  Thu, 25 Apr 2024 19:31:12 +0200

rust-sequoia-chameleon-gnupg (0.8.0-4) unstable; urgency=medium

  * Fix ordering in gpg(v).links. Closes: #1069202.
  * Drop gpg(v)-from-sq.lintian-overrides.

 -- Holger Levsen <holger@debian.org>  Fri, 19 Apr 2024 08:46:04 +0200

rust-sequoia-chameleon-gnupg (0.8.0-3) unstable; urgency=medium

  * gpg-from-sq and gpgv-from-sq: ship links pointing to /usr/bin/gpg(v).
    Closes: #1069202.

 -- Holger Levsen <holger@debian.org>  Thu, 18 Apr 2024 18:16:15 +0200

rust-sequoia-chameleon-gnupg (0.8.0-2) unstable; urgency=medium

  * d/control:
    - add Breaks+Replaces to gpg-sq and gpgv-sq against sequoia-chameleon-gnupg
      (<< 0.8.0-1). Closes: #1069201.
    - add Provides: gpg (= 2.2.40) to gpg-from-sq. Closes: #1069205.
    - add Provides: gpgv (= 2.2.40) to gpgv-from-sq. Closes: #1069203.

 -- Holger Levsen <holger@debian.org>  Thu, 18 Apr 2024 16:37:51 +0200

rust-sequoia-chameleon-gnupg (0.8.0-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.8.0 from crates.io using debcargo 2.6.1

  [ Holger Levsen ]
  * Split sequoia-chameleon-gnupg binary package into five:
    - sequoia-chameleon-gnupg, which now just depends on gpgv-sq and gpg-sq.
    - gpgv-sq, shipping just that binary and it's manpage and various shell
      completion scripts.
    - gpg-sq, the same but for gpg-sq.
    - gpgv-from-sq: depends on gpgv-sq and installs a diversion to replace
      gpgv from g10code.
    - gpg-from-sq: the same but for gpg-sq.
  * Very thankfully merge Justin B Rye's superb suggestions from
    https://lists.debian.org/debian-l10n-english/2024/03/msg00017.html into
    d/control.
  * Make gpg-sq and gpgv-sq recommend sq.
  * Add lintian overrides for gpg-sq and gpgv-sq being empty packages (with
    maintainer scripts however).
  * Package sequoia-chameleon-gnupg 0.5.1 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Tue, 16 Apr 2024 22:43:42 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  librust-filetime-0.2+default-dev,
  librust-futures-0.3+default-dev,
  librust-indexmap+default-dev (>= 1.9-~~),
+ librust-interprocess-1-dev,
  librust-libc-0.2+default-dev,
  librust-memchr-2+default-dev,
- librust-once-cell-1+default-dev (>= 1.17-~~),
  librust-openssh-keys-0.6-dev,
  librust-percent-encoding-2+default-dev,
  librust-rand-0.8+default-dev,
@@ -26,7 +26,9 @@
  librust-rayon-1+default-dev,
  librust-reqwest-0.11+default-dev,
  librust-reqwest-0.11+socks-dev,
+ librust-rpassword-7+default-dev,
  librust-sequoia-cert-store-0.5+default-dev,
+ librust-sequoia-gpg-agent-0.3+default-dev,
  librust-sequoia-ipc-0.34+default-dev,
  librust-sequoia-net-0.28+default-dev,
  librust-sequoia-openpgp-1+compression-dev (>= 1.19-~~),
@@ -34,13 +36,20 @@
  librust-sequoia-openpgp-mt-0.1+default-dev,
  librust-sequoia-policy-config-0.6+default-dev,
  librust-sequoia-wot-0.11+default-dev,
+ librust-serde-1+default-dev,
+ librust-serde-1+derive-dev,
+ librust-serde-json-1+default-dev,
  librust-shellexpand-3+default-dev,
  librust-tempfile-3+default-dev,
  librust-thiserror-1+default-dev,
  librust-tokio-1+default-dev (>= 1.19-~~),
+ librust-tokio-1+fs-dev (>= 1.19-~~),
+ librust-tokio-1+io-std-dev (>= 1.19-~~),
  librust-tokio-1+io-util-dev (>= 1.19-~~),
  librust-tokio-1+net-dev (>= 1.19-~~),
- librust-tokio-1+rt-multi-thread-dev (>= 1.19-~~)
+ librust-tokio-1+process-dev (>= 1.19-~~),
+ librust-tokio-1+rt-multi-thread-dev (>= 1.19-~~),
+ librust-zbase32-0.1+default-dev (>= 0.1.2-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
@@ -53,21 +62,92 @@
 Rules-Requires-Root: no
 
 Package: sequoia-chameleon-gnupg
+Architecture: all
+Depends:
+  gpg-sq,
+  gpgv-sq
+Description: Sequoia's GnuPG CLI tools (metapackage)
+ This metapackage depends on the following binary packages:
+  - gpg-sq: gpg-like OpenPGP CLI toolkit
+  - gpgv-sq: gpgv-like validator for OpenPGP signatures
+ Both are drop-in replacements using the Sequoia OpenPGP implementation
+ provided in the Rust crate sequoia-chameleon-gnupg.
+
+Package: gpg-sq
 Architecture: any
 Multi-Arch: allowed
+Breaks: sequoia-chameleon-gnupg (<< 0.8.0-1)
+Replaces: sequoia-chameleon-gnupg (<< 0.8.0-1)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  ${cargo:Depends}
 Recommends:
- ${cargo:Recommends}
+ ${cargo:Recommends},
+ sq
 Suggests:
  ${cargo:Suggests}
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-Description: Sequoia's reimplementation of the GnuPG interface
- This package contains the following binaries built from the Rust crate
- "sequoia-chameleon-gnupg":
-  - gpg-sq
-  - gpgv-sq
+Description: gpg-like OpenPGP CLI toolkit
+ gpg-sq is Sequoia's alternative implementation of a tool following
+ the GnuPG command line interface. It provides a drop-in but not
+ feature-complete replacement for the GnuPG project's gpg.
+ .
+ It currently implements a commonly used subset of the signature
+ creation and verification commands, the encryption and decryption
+ commands, the key listing commands, and some miscellaneous commands.
+ .
+ Support for trust models is limited.  Currently, the web-of-trust
+ and always-trust models are implemented (as "--pgp" and "--always").
+ .
+ This tool is provided by the Sequoia project via the sequoia-chameleon-gnupg
+ crate.
+
+Package: gpgv-sq
+Architecture: any
+Multi-Arch: allowed
+Breaks: sequoia-chameleon-gnupg (<< 0.8.0-1)
+Replaces: sequoia-chameleon-gnupg (<< 0.8.0-1)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${cargo:Depends}
+Recommends:
+ ${cargo:Recommends},
+ sq
+Suggests:
+ ${cargo:Suggests}
+Provides:
+ ${cargo:Provides}
+Built-Using: ${cargo:Built-Using}
+Description: gpgv-like validator for OpenPGP signatures
+ gpgv-sq is Sequoia's alternative implementation of a verification-only
+ interface for OpenPGP signatures. It provides a feature-complete drop-in
+ replacement for the GnuPG project's gpgv.
+ .
+ This tool is provided by the Sequoia project via the sequoia-chameleon-gnupg
+ crate.
+
+Package: gpg-from-sq
+Architecture: all
+Depends:
+ gpg-sq
+Provides: gpg (= 2.2.40)
+Recommends: gpgv-from-sq
+Description: use gpg-sq for /usr/bin/gpg
+ This package diverts the GnuPG implementation of gpg (if installed)
+ to gpg-g10code, while /usr/bin/gpg is provided by the Rust crate
+ sequoia-chameleon-gnupg.
+
+Package: gpgv-from-sq
+Architecture: all
+Depends:
+ gpgv-sq
+Provides: gpgv (= 2.2.40)
+Suggests: gpg-from-sq
+Description: use gpgv-sq for /usr/bin/gpgv
+ This package diverts the GnuPG implementation of gpgv (if installed)
+ to gpgv-g10code, while /usr/bin/gpgv is provided by the Rust crate
+ sequoia-chameleon-gnupg.

## rust-sequoia-chameleon-gnupg 0.10.1

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.10.1-2) unstable; urgency=medium

  * gpgv-sq: only suggest sq. Closes: #1077381.

 -- Holger Levsen <holger@debian.org>  Sun, 25 Aug 2024 14:47:17 +0200

rust-sequoia-chameleon-gnupg (0.10.1-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.10.1 from crates.io using debcargo 2.6.1
    Closes: #1073272, #1074652, #1070700.

 -- Holger Levsen <holger@debian.org>  Mon, 29 Jul 2024 16:39:06 +0900

=== debian/control ===
--- 
+++ 
@@ -27,15 +27,15 @@
  librust-reqwest-0.11+default-dev,
  librust-reqwest-0.11+socks-dev,
  librust-rpassword-7+default-dev,
- librust-sequoia-cert-store-0.5+default-dev,
- librust-sequoia-gpg-agent-0.3+default-dev,
- librust-sequoia-ipc-0.34+default-dev,
+ librust-rusqlite-0.29+default-dev,
+ librust-sequoia-cert-store-0.6+default-dev,
+ librust-sequoia-gpg-agent-0.4+default-dev,
+ librust-sequoia-ipc-0.35+default-dev,
  librust-sequoia-net-0.28+default-dev,
- librust-sequoia-openpgp-1+compression-dev (>= 1.19-~~),
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.19-~~),
- librust-sequoia-openpgp-mt-0.1+default-dev,
+ librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
  librust-sequoia-policy-config-0.6+default-dev,
- librust-sequoia-wot-0.11+default-dev,
+ librust-sequoia-wot-0.12-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -116,9 +116,9 @@
  ${cargo:Depends}
 Recommends:
  ${cargo:Recommends},
+Suggests:
+ ${cargo:Suggests},
  sq
-Suggests:
- ${cargo:Suggests}
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem cargo

override_dh_install:
	mkdir -p debian/gpg-sq/usr/bin/
	mv debian/gpgv-sq/usr/bin/gpg-sq debian/gpg-sq/usr/bin/

	dh_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-chameleon-gnupg-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-chameleon-gnupg .*/crates/sequoia-chameleon-gnupg/@ANY_VERSION@/download

## rust-sequoia-chameleon-gnupg 0.11.2

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.11.2-4) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.1
  * Drop patches/downgrade-indexmap-to-1.patch.
  * debian/patches: add dep3 headers.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Oct 2024 13:06:31 +0200

rust-sequoia-chameleon-gnupg (0.11.2-3) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.0
    - ship upstream manpages and shell completions.
    - update debian/patches/relax-deps.patch to allow -policy-config 0.7.

 -- Holger Levsen <holger@debian.org>  Fri, 11 Oct 2024 23:32:50 +0200

rust-sequoia-chameleon-gnupg (0.11.2-2) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.0
    - bump build-depends to librust-base64-0.22+default-dev from 0.21.

 -- Holger Levsen <holger@debian.org>  Mon, 07 Oct 2024 13:56:03 +0200

rust-sequoia-chameleon-gnupg (0.11.2-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.0
    - Bump standards version to 4.7.0, no changes needed.
    - Switch to debhelper-compat=13.
  * Update build-depends in d/control based on debcargo.hints.
  * Add myself to d/copyright.

 -- Holger Levsen <holger@debian.org>  Fri, 27 Sep 2024 22:20:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: rust-sequoia-chameleon-gnupg
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
- librust-base64-0.21+default-dev,
+ librust-base64-0.22+default-dev,
  librust-buffered-reader-1+default-dev,
  librust-chrono-0.4+default-dev,
+ librust-clap-4+default-dev (>= 4.4.18-~~),
+ librust-clap-complete-4+default-dev (>= 4.4.9-~~),
+ librust-clap-mangen-0.2+default-dev (>= 0.2.19-~~),
  librust-daemonize-0.5+default-dev,
  librust-dirs-5+default-dev,
  librust-fd-lock-dev (<< 5-~~),
  librust-filetime-0.2+default-dev,
  librust-futures-0.3+default-dev,
- librust-indexmap+default-dev (>= 1.9-~~),
+ librust-indexmap-2+default-dev,
  librust-interprocess-1-dev,
  librust-libc-0.2+default-dev,
  librust-memchr-2+default-dev,
@@ -26,6 +29,7 @@
  librust-rayon-1+default-dev,
  librust-reqwest-0.11+default-dev,
  librust-reqwest-0.11+socks-dev,
+ librust-roff-0.2+default-dev,
  librust-rpassword-7+default-dev,
  librust-rusqlite-0.29+default-dev,
  librust-sequoia-cert-store-0.6+default-dev,
@@ -34,7 +38,7 @@
  librust-sequoia-net-0.28+default-dev,
  librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
- librust-sequoia-policy-config-0.6+default-dev,
+ librust-sequoia-policy-config-0.7+default-dev,
  librust-sequoia-wot-0.12-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -48,13 +52,12 @@
  librust-tokio-1+io-util-dev (>= 1.19-~~),
  librust-tokio-1+net-dev (>= 1.19-~~),
  librust-tokio-1+process-dev (>= 1.19-~~),
- librust-tokio-1+rt-multi-thread-dev (>= 1.19-~~),
- librust-zbase32-0.1+default-dev (>= 0.1.2-~~)
+ librust-tokio-1+rt-multi-thread-dev (>= 1.19-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-chameleon-gnupg]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-chameleon-gnupg
 Homepage: https://sequoia-pgp.org/
@@ -89,7 +92,7 @@
  ${cargo:Suggests}
 Provides:
  ${cargo:Provides}
-Built-Using: ${cargo:Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: gpg-like OpenPGP CLI toolkit
  gpg-sq is Sequoia's alternative implementation of a tool following
  the GnuPG command line interface. It provides a drop-in but not
@@ -121,7 +124,7 @@
  sq
 Provides:
  ${cargo:Provides}
-Built-Using: ${cargo:Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: gpgv-like validator for OpenPGP signatures
  gpgv-sq is Sequoia's alternative implementation of a verification-only
  interface for OpenPGP signatures. It provides a feature-complete drop-in

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE = 1
+export ASSET_OUT_DIR=debian/tmp
 
 include /usr/share/dpkg/pkg-info.mk

## rust-sequoia-chameleon-gnupg 0.12.0

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.12.0-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.12.0 from crates.io using debcargo 2.7.6

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Wed, 05 Feb 2025 12:45:39 +0100

rust-sequoia-chameleon-gnupg (0.11.2-7) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.5
  * d/rules:
    - on 64bit archs: also set opt-level="z" for further size reduction.

 -- Holger Levsen <holger@debian.org>  Fri, 20 Dec 2024 13:16:43 +0100

rust-sequoia-chameleon-gnupg (0.11.2-6) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.4
    - refresh patch and relax dependency on sequoia-wot 0.13.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Nov 2024 13:09:26 +0100

rust-sequoia-chameleon-gnupg (0.11.2-5) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.11.2 from crates.io using debcargo 2.7.4
  * d/rules:
    - on 64bit archs: build with lto="fat" and codegen-units=1, also see
      https://gitlab.com/sequoia-pgp/sequoia-chameleon-gnupg/-/issues/73.
    - on 32bit archs: disable lto optimisation.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Nov 2024 20:29:54 +0100

## rust-sequoia-chameleon-gnupg 0.12.1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 gpg.option.inc: gpg.option.gpg.c.fragment gpg.option.oxidize gpg.option.implicit
 	echo "/// GnuPG's command line options." > "$@"
-	echo 'const OPTIONS: &[Opt<CmdOrOpt>] = &[' >> "$@"
+	echo "///" >> "$@"
+	echo "/// Regenerate using \`make -C src gpg.option.inc\`." >> "$@"
+	echo 'pub const OPTIONS: &[Opt<CmdOrOpt>] = &[' >> "$@"
 	gcc -x c -E "$<" \
 		| grep -v '^#' \
 		| sed >> "$@" \

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.12.1-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.12.1 from crates.io using debcargo 2.7.8
    - refresh patch.

 -- Holger Levsen <holger@debian.org>  Fri, 14 Mar 2025 17:05:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
  cargo:native,
- rustc:native (>= 1.70),
+ rustc:native (>= 1.79),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
- librust-base64-0.22+default-dev,
+ librust-base64-0.22+default-dev | librust-base64-0.21+default-dev,
  librust-buffered-reader-1+default-dev,
  librust-chrono-0.4+default-dev,
  librust-clap-4+default-dev (>= 4.4.18-~~),
@@ -15,7 +15,7 @@
  librust-clap-mangen-0.2+default-dev (>= 0.2.19-~~),
  librust-daemonize-0.5+default-dev,
  librust-dirs-5+default-dev,
- librust-fd-lock-dev (<< 5-~~),
+ librust-fd-lock-3-dev,
  librust-filetime-0.2+default-dev,
  librust-futures-0.3+default-dev,
  librust-indexmap-2+default-dev,
@@ -27,25 +27,25 @@
  librust-rand-0.8+default-dev,
  librust-rand-distr-0.4-dev,
  librust-rayon-1+default-dev,
- librust-reqwest-0.11+default-dev,
- librust-reqwest-0.11+socks-dev,
+ librust-reqwest-0.12+default-dev,
+ librust-reqwest-0.12+socks-dev,
  librust-roff-0.2+default-dev,
  librust-rpassword-7+default-dev,
  librust-rusqlite-0.29+default-dev,
  librust-sequoia-cert-store-0.6+default-dev,
- librust-sequoia-gpg-agent-0.4+default-dev,
+ librust-sequoia-gpg-agent-0.5-dev (>= 0.5.1-~~),
  librust-sequoia-ipc-0.35+default-dev,
- librust-sequoia-net-0.28+default-dev,
+ librust-sequoia-net-0.29-dev,
  librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
- librust-sequoia-policy-config-0.7+default-dev,
- librust-sequoia-wot-0.12-dev,
+ librust-sequoia-policy-config-0.7-dev | librust-sequoia-policy-config-0.6-dev,
+ librust-sequoia-wot-0.13-dev | librust-sequoia-wot-0.12-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-shellexpand-3+default-dev,
  librust-tempfile-3+default-dev,
- librust-thiserror-1+default-dev,
+ librust-thiserror-2+default-dev | librust-thiserror-1+default-dev,
  librust-tokio-1+default-dev (>= 1.19-~~),
  librust-tokio-1+fs-dev (>= 1.19-~~),
  librust-tokio-1+io-std-dev (>= 1.19-~~),

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,24 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 export ASSET_OUT_DIR=debian/tmp
 
 include /usr/share/dpkg/pkg-info.mk
+
+# Disable lto on 32-bit arches since it OOMs otherwise
+execute_before_dh_auto_configure:
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+export DEB_BUILD_OPTIONS += optimize=-lto
+endif
+
+# enable on 64-bit
+execute_after_dh_auto_configure:
+ifeq ($(DEB_HOST_ARCH_BITS),64)
+	echo 'lto="fat"' >> debian/cargo_home/config.toml
+	echo 'codegen-units=1' >> debian/cargo_home/config.toml
+	echo 'opt-level="z"' >> debian/cargo_home/config.toml
+	cat debian/cargo_home/config.toml
+endif
 
 %:
 	dh $@ --buildsystem cargo

## rust-sequoia-chameleon-gnupg 0.13.1

=== debian/changelog ===
rust-sequoia-chameleon-gnupg (0.13.1-6) unstable; urgency=medium

  * Team upload
  * Package sequoia-chameleon-gnupg 0.13.1 from crates.io using debcargo 2.7.11
  * Remove unneeded parts of relax deps patch (rust-buffered-reader, rust-dirs,
    rust-fd-lock, rust-interprocess, and rust-rusqlite are packaged with
    suitable versions now)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 2 Oct 2025 13:03:34 -0400

rust-sequoia-chameleon-gnupg (0.13.1-5) unstable; urgency=medium

  * Team upload
  * Package sequoia-chameleon-gnupg 0.13.1 from crates.io using debcargo 2.7.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 1 Oct 2025 18:54:15 -0400

rust-sequoia-chameleon-gnupg (0.13.1-4) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.13.1 from crates.io using debcargo 2.7.8
    - relax dependencies to allow build with sequoia-wot 0.15.0.
      Closes: #1115566.

 -- Holger Levsen <holger@debian.org>  Fri, 19 Sep 2025 18:08:34 +0200

rust-sequoia-chameleon-gnupg (0.13.1-3) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.13.1 from crates.io using debcargo 2.7.8
    - d/control: make gpg(v)-from-sq provide gpg(v) 2.2.46. 

 -- Holger Levsen <holger@debian.org>  Thu, 10 Apr 2025 14:37:48 +0200

rust-sequoia-chameleon-gnupg (0.13.1-2) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.13.1 from crates.io using debcargo 2.7.8
    - skip dh_auto_(build|test|install)-indep targets for arch:all builds.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Mar 2025 14:34:15 +0200

rust-sequoia-chameleon-gnupg (0.13.1-1) unstable; urgency=medium

  * Package sequoia-chameleon-gnupg 0.13.1 from crates.io using debcargo 2.7.8
    - refresh relax-deps.patch.
    - add Built-Using: headers manually to c/control.

 -- Holger Levsen <holger@debian.org>  Sun, 30 Mar 2025 22:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native (>= 1.79),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
- librust-base64-0.22+default-dev | librust-base64-0.21+default-dev,
- librust-buffered-reader-1+default-dev,
+ librust-base64+default-dev (<< 0.23-~~),
+ librust-base64+default-dev (>= 0.21-~~),
+ librust-buffered-reader-1+default-dev (>= 1.4-~~),
  librust-chrono-0.4+default-dev,
  librust-clap-4+default-dev (>= 4.4.18-~~),
  librust-clap-complete-4+default-dev (>= 4.4.9-~~),
  librust-clap-mangen-0.2+default-dev (>= 0.2.19-~~),
  librust-daemonize-0.5+default-dev,
- librust-dirs-5+default-dev,
- librust-fd-lock-3-dev,
+ librust-dirs+default-dev (<< 7-~~),
+ librust-dirs+default-dev (>= 5-~~),
+ librust-fd-lock-dev (<< 5-~~),
+ librust-fd-lock-dev (>= 3-~~),
  librust-filetime-0.2+default-dev,
  librust-futures-0.3+default-dev,
  librust-indexmap-2+default-dev,
- librust-interprocess-1-dev,
+ librust-interprocess-dev (<< 3-~~),
+ librust-interprocess-dev (>= 1-~~),
  librust-libc-0.2+default-dev,
  librust-memchr-2+default-dev,
  librust-openssh-keys-0.6-dev,
@@ -31,21 +35,23 @@
  librust-reqwest-0.12+socks-dev,
  librust-roff-0.2+default-dev,
  librust-rpassword-7+default-dev,
- librust-rusqlite-0.29+default-dev,
- librust-sequoia-cert-store-0.6+default-dev,
- librust-sequoia-gpg-agent-0.5-dev (>= 0.5.1-~~),
- librust-sequoia-ipc-0.35+default-dev,
- librust-sequoia-net-0.29-dev,
- librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
- librust-sequoia-policy-config-0.7-dev | librust-sequoia-policy-config-0.6-dev,
- librust-sequoia-wot-0.13-dev | librust-sequoia-wot-0.12-dev,
+ librust-rusqlite+default-dev (<< 0.32-~~),
+ librust-rusqlite+default-dev (>= 0.29-~~),
+ librust-sequoia-cert-store-0.7-dev,
+ librust-sequoia-gpg-agent-0.6-dev,
+ librust-sequoia-ipc-0.36-dev,
+ librust-sequoia-net-0.30-dev,
+ librust-sequoia-openpgp-2+compression-dev,
+ librust-sequoia-openpgp-2+crypto-nettle-dev,
+ librust-sequoia-policy-config-0.8-dev,
+ librust-sequoia-wot-0.15-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-shellexpand-3+default-dev,
  librust-tempfile-3+default-dev,
- librust-thiserror-2+default-dev | librust-thiserror-1+default-dev,
+ librust-thiserror+default-dev (<< 3-~~),
+ librust-thiserror+default-dev (>= 1-~~),
  librust-tokio-1+default-dev (>= 1.19-~~),
  librust-tokio-1+fs-dev (>= 1.19-~~),
  librust-tokio-1+io-std-dev (>= 1.19-~~),
@@ -57,12 +63,11 @@
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-chameleon-gnupg]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-chameleon-gnupg
 Homepage: https://sequoia-pgp.org/
 X-Cargo-Crate: sequoia-chameleon-gnupg
-Rules-Requires-Root: no
 
 Package: sequoia-chameleon-gnupg
 Architecture: all
@@ -92,6 +97,7 @@
  ${cargo:Suggests}
 Provides:
  ${cargo:Provides}
+Built-Using: ${cargo:Built-Using}
 Static-Built-Using: ${cargo:Static-Built-Using}
 Description: gpg-like OpenPGP CLI toolkit
  gpg-sq is Sequoia's alternative implementation of a tool following
@@ -124,6 +130,7 @@
  sq
 Provides:
  ${cargo:Provides}
+Built-Using: ${cargo:Built-Using}
 Static-Built-Using: ${cargo:Static-Built-Using}
 Description: gpgv-like validator for OpenPGP signatures
  gpgv-sq is Sequoia's alternative implementation of a verification-only
@@ -137,7 +144,7 @@
 Architecture: all
 Depends:
  gpg-sq
-Provides: gpg (= 2.2.40)
+Provides: gpg (= 2.2.46)
 Recommends: gpgv-from-sq
 Description: use gpg-sq for /usr/bin/gpg
  This package diverts the GnuPG implementation of gpg (if installed)
@@ -148,7 +155,7 @@
 Architecture: all
 Depends:
  gpgv-sq
-Provides: gpgv (= 2.2.40)
+Provides: gpgv (= 2.2.46)
 Suggests: gpg-from-sq
 Description: use gpgv-sq for /usr/bin/gpgv
  This package diverts the GnuPG implementation of gpgv (if installed)

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,13 @@
 %:
 	dh $@ --buildsystem cargo
 
-override_dh_install:
+# skip these targets on arch:all builds
+override_dh_auto_test-indep:
+override_dh_auto_build-indep:
+override_dh_auto_install-indep:
+	dh_install
+
+override_dh_install-arch:
 	mkdir -p debian/gpg-sq/usr/bin/
 	mv debian/gpgv-sq/usr/bin/gpg-sq debian/gpg-sq/usr/bin/

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-chameleon-gnupg
Matching-Pattern:  .*/crates/sequoia-chameleon-gnupg/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/sequoia-chameleon-gnupg-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
